/*-------------------------------------------------------------
 *  Copyright (c) 2011-2014, MSS ComBlock. All rights reserved.
 *
 * 	Filename: RF.h
 *  Last modified: 4/15/14
 *  Authors:
 *  	Alain Zarembowitch / MSS ComBlock
 *  Version: 1.0
 *  Inheritance: N/A
 *  Description: RF components driver
 -------------------------------------------------------------*/
#ifndef RF_H_
#define RF_H_


/*-------- change this section according to the schematics ----------------------------------------*/
#define PIN_SYNTH2_CLK_H() FIO1SET = 0x00000400;    // port1[10]
#define PIN_SYNTH2_DATA_H() FIO1SET = 0x00004000;	// port1[14]
#define PIN_SYNTH2_LE_H() FIO1SET = 0x00008000;    	// port1[15]
#define PIN_SYNTH2_ENABLE_H() FIO1SET = 0x00080000; // port1[19]

#define PIN_SYNTH2_CLK_L() FIO1CLR = 0x00000400;    // port1[10]
#define PIN_SYNTH2_DATA_L() FIO1CLR = 0x00004000;	// port1[14]
#define PIN_SYNTH2_LE_L() FIO1CLR = 0x00008000;    	// port1[15]
#define PIN_SYNTH2_ENABLE_L() FIO1CLR = 0x00080000; // port0[19]

#define PIN_AD7298_SCLK_H() FIO2SET = 0x00000040;    // port2[6]
#define PIN_AD7298_CSB_H() FIO2SET = 0x00000100;    // port2[8]
#define PIN_AD7298_DIN_H() FIO0SET = 0x00000001;    // port0[0]

#define PIN_AD7298_SCLK_L() FIO2CLR = 0x00000040;    // port2[6]
#define PIN_AD7298_CSB_L() FIO2CLR = 0x00000100;    // port2[8]
#define PIN_AD7298_DIN_L() FIO0CLR = 0x00000001;    // port0[0]

#define PIN_RFOUT_ENB_H() FIO0SET = 0x00000800; // port0[11]
#define PIN_RFOUT_ENB_L() FIO0CLR = 0x00000800; // port0[11]

/*-------- end of schematics-dependent code ----------------------------------------*/
extern long synth_check_lock(void);
extern unsigned long get_freq(long );
extern void adf4351_reg(long, int);
extern void init_tuner_pll(int, char);
extern void program_tuner_pll(int, char);
extern void TX_EN_FREQ_HOP_R_ISR(void);
extern void TX_EN_FREQ_HOP_F_ISR(void);
extern void TX_EN_poll(void);
extern void DAC_init(void);
extern void DAC(long);
extern void PWM_init(void);
extern void PWM(long);
extern void setTxGain(void);
extern void ADC_init(void);
extern void ADC_TX_POWER_DET(void);
extern void ADC_TEMP(void);

#endif /* RF_H_ */
